<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    title: {
      type: String,
      required: true,
    },
    description: {
      type: String,
      required: true,
    },
    icon: {
      type: Object,
      required: true,
    },
    image: {
      type: String,
      required: true,
    },
    list: {
      type: Array<string>,
      required: true,
    },
    button: {
      type: Object,
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer class="opportunity-statement slp-row">
    <div v-if="icon" class="opportunity-statement__icon">
      <SlpIcon :name="icon.name" :variant="icon.variant" size="24" />
    </div>
    <SlpTypography tag="h1" variant="heading2-bold" class="slp-my-16">
      {{ title }}
    </SlpTypography>
    <SlpTypography
      tag="p"
      variant="heading5"
      class="slp-pr-md-32 opportunity-statement__description"
    >
      {{ description }}
    </SlpTypography>
    <SlpButton
      v-if="button"
      class="slp-mt-32"
      variant="tertiary"
      :href="button.href"
      :data-ga-name="button.datGaName"
      :data-ga-location="button.dataGaLocation"
      >{{ button.text }}
      <SlpIcon name="chevron-lg-right" variant="product" />
    </SlpButton>
    <SlpRow class="slp-mt-48 opportunity-statement__row">
      <SlpColumn :cols="5">
        <img class="opportunity-statement__image" :src="image" alt="" />
      </SlpColumn>
      <SlpColumn class="slp-mr-md-64">
        <div
          v-for="(item, i) in list"
          :key="`${item}-${i}`"
          class="slp-flex list-item-wrapper"
        >
          <SlpIcon
            name="check"
            variant="product"
            class="icon-green slp-mr-16"
          />
          <div class="list-item" v-html="$md.render(item)" />
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.opportunity-statement {
  padding-top: $spacing-64;
  padding-bottom: $spacing-64;

  &__headline {
    display: flex;
    align-items: center;
  }

  &__icon {
    background: #eee7fd;
    border-radius: 9999px;
    padding: $spacing-8;
    display: inline-block;
  }

  &__description {
    color: $color-surface-500;
    width: calc(100% * 11 / 12);
  }

  &__row {
    @media (min-width: $breakpoint-md) {
      flex-wrap: nowrap;
      gap: $spacing-96;
    }
  }

  &__image {
    width: 100%;

    @media (min-width: $breakpoint-md) {
      padding-right: $spacing-16;
    }
  }
}

.icon-green {
  color: #10b0b0;
  border: 1.5px solid #10b0b0;
  border-radius: 999px;
  line-height: 0;
  width: unset !important;
  height: unset !important;
  margin-top: 20px;
}

.list-item-wrapper {
  align-items: start;
}

.list-item {
  padding-top: $spacing-16;
  padding-bottom: $spacing-16;
  color: $color-surface-500;

  &::v-deep strong {
    color: $color-text-300;
  }
}
</style>
